msg_stat_queue
sem_get
Semaphore Functions
PHP Manual

# sem_acquire

(PHP 4, PHP 5)

sem_acquire — Acquire a semaphore

### Description

bool sem_acquire ( resource `$sem_identifier` )

sem_acquire() blocks (if necessary) until the semaphore can be acquired. A process attempting to acquire a semaphore which it has already acquired will block forever if acquiring the semaphore would cause its maximum number of semaphore to be exceeded.

After processing a request, any semaphores acquired by the process but not explicitly released will be released automatically and a warning will be generated.

### Parameters

`sem_identifier`

  `sem_identifier` is a semaphore resource, obtained from sem_get().

### Return Values

Returns `TRUE` on success or `FALSE` on failure.

### See Also

- sem_get()
- sem_release()

msg_stat_queue
sem_get
Semaphore Functions
PHP Manual